Quick start
System identifier:icd10pcs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Corti Models is now available: frontier AI on sovereign infrastructure, through an OpenAI-compatible API. Get started.
ICD-10 Procedure Coding System. Used exclusively for inpatient hospital procedures in the United States
icd10pcs
curl -X POST "https://api.$environment.corti.app/v2/tools/coding/" \
-H "Authorization: Bearer <token>" \
-H "Tenant-Name: <tenant-name>" \
-H "Content-Type: application/json" \
-d '{
"system": ["icd10pcs"],
"context": [{"type": "text", "text": "Patient underwent laparoscopic appendectomy for acute appendicitis."}]
}'
const response = await client.codes.predict({
system: ["icd10pcs"],
context: [{ type: "text", text: "Patient underwent laparoscopic appendectomy for acute appendicitis." }],
});
import requests
response = requests.post(
"https://api.$environment.corti.app/v2/tools/coding/",
headers={
"Authorization": "Bearer <token>",
"Tenant-Name": "<tenant-name>",
},
json={
"system": ["icd10pcs"],
"context": [{"type": "text", "text": "Patient underwent laparoscopic appendectomy for acute appendicitis."}],
},
)
print(response.json())
Was this page helpful?